Bug 13530 - Typo in bulkmarcimport
Summary: Typo in bulkmarcimport
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic record staging/import (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 13:27 UTC by Martin Renvoize
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
bug 13530: Typo in bulkmarcimport (1.28 KB, patch)
2015-01-13 03:31 UTC, the.invinnysible.one
Details | Diff | Splinter Review
k (1.35 KB, patch)
2015-01-13 07:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] bug 13530: Typo in bulkmarcimport (1.35 KB, patch)
2015-01-13 07:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] bug 13530: Typo in bulkmarcimport (1.35 KB, patch)
2015-01-13 07:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
bug 13530: Typo in bulkmarcimport (1.36 KB, patch)
2015-01-13 22:27 UTC, the.invinnysible.one
Details | Diff | Splinter Review
Bug 13530: Typo in bulkmarcimport (1.41 KB, patch)
2015-01-14 08:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-07 13:27:13 UTC
A typo seems to have crept in bulkmarcimport causing GetMarcFrameworkCode to fail.
Comment 1 Martin Renvoize 2015-01-07 13:35:31 UTC
Hint: Line 401 the GetFrameworkcode function is has one wrong case character ;)
Comment 2 the.invinnysible.one 2015-01-13 02:33:15 UTC
Will attempt to correct problem.
Comment 3 the.invinnysible.one 2015-01-13 03:31:05 UTC Comment hidden (obsolete)
Comment 4 the.invinnysible.one 2015-01-13 03:35:13 UTC
Changed GetFrameworkcode to GetFrameworkCode on line 401. Needs signoff.
Comment 5 Katrin Fischer 2015-01-13 07:23:11 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-01-13 07:24:01 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-01-13 07:25:05 UTC Comment hidden (obsolete)
Comment 8 Martin Renvoize 2015-01-13 09:49:12 UTC
My colleague who uses this script often is now very happy.. thanks :)

I'll try to poke someone in to QA this today, as as the reporter I think that rules me out.

Cheers
Comment 9 Jonathan Druart 2015-01-13 10:26:07 UTC
(In reply to the.invinnysible.one from comment #4)
> Changed GetFrameworkcode to GetFrameworkCode on line 401. Needs signoff.

Hi mysterious author,
Is there a chance to get a patch with your correct name?
The patch's author is Some <some.name@example.org>
Comment 10 the.invinnysible.one 2015-01-13 22:27:26 UTC Comment hidden (obsolete)
Comment 11 the.invinnysible.one 2015-01-13 22:28:21 UTC
(In reply to Jonathan Druart from comment #9)
> (In reply to the.invinnysible.one from comment #4)
> > Changed GetFrameworkcode to GetFrameworkCode on line 401. Needs signoff.
> 
> Hi mysterious author,
> Is there a chance to get a patch with your correct name?
> The patch's author is Some <some.name@example.org>

My apologies, I have fixed the author name on the patch now. :-)
Comment 12 Jonathan Druart 2015-01-14 08:20:56 UTC
Created attachment 35174 [details] [review]
Bug 13530: Typo in bulkmarcimport

GetFrameworkCode was incorrectly spelt as GetFrameworkcode on line 401.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Jonathan Druart 2015-01-14 08:21:33 UTC
Note that I did not test this patch, because I never user bulkmarcimport.
But the fix is trivial and makes sense.
Comment 14 Jonathan Druart 2015-01-14 08:22:28 UTC
(In reply to Martin Renvoize from comment #8)
> I'll try to poke someone in to QA this today, as as the reporter I think
> that rules me out.

Where did you read that?
I am not sure at all this rules exists :)
Comment 15 Martin Renvoize 2015-01-14 08:25:13 UTC
(In reply to Jonathan Druart from comment #14)
> (In reply to Martin Renvoize from comment #8)
> > I'll try to poke someone in to QA this today, as as the reporter I think
> > that rules me out.
> 
> Where did you read that?
> I am not sure at all this rules exists :)

Just had a hunch it might be one.. if not then I could have QA'd it.. oops.  Thnaks anyway Jonathan
Comment 16 Tomás Cohen Arazi 2015-01-14 15:44:33 UTC
Patch pushed to master.

Thanks Morag, and congratulations!
Comment 17 Chris Cormack 2015-01-18 01:55:32 UTC
Pushed to 3.18.x, will be in the 3.18.3 release so your code will be out in use by libraries around the world by the end of January, Morag